Metacat - Task #7218

Merge revision 10194 into the next release branch
10/12/2017 05:36 PM - Bryce Mecum

Status: Closed Start date: 10/12/2017
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.85 Spent time: 0.00 hour
Description

| could just Slack this but | thought I'd do an Issue since it's after-hours and | didn't want to send an email. | made a change, revision
10194 back in March and it looks like it never got merged onto a branch for release so the bug it fixed is still affecting Metacat
installs. | think the reason it didn't get merged is because | didn't know we cherry-picked commits onto branches to manage release
but | know this now!

Jing, could you please merge this sometime so it gets deployed during the next deploy cycle?

History

#1-10/12/2017 09:12 PM - Jing Tao
I will do this, bryce.

#2 - 10/12/2017 10:22 PM - Jing Tao

Hi Bryce:
| looked at the version 10194.
valley:metacat tao$ svn log v—+16+94

r10194 | mecum | 2017-03-23 10:17:34 -0700 (Thu, 23 Mar 2017) | 1 line
Changed paths:
M /trunk/lib/style/skins/metacatui/eml-2/eml-attribute.xsl

Fix a typo that was preventing dateTime attributes from rendering fully

You only changed one line in one file trunk/lib/style/skins/metacatui/eml-2/eml-attribute.xsl. It seems you changed:
< <xsl:for-each select="datetime">

<xsl:for-each select="dateTime">

| compared the file in the trunk and 2.8 branch and they are same:

svn diff https://code.ecoinformatics.org/code/metacat/trunk/lib/style/skins/metacatui/eml-2/eml-attribute.xsl
https://code.ecoinformatics.org/code/metacat/branches/METACAT_2_8_BRANCH/lib/style/skins/metacatui/eml-2/eml-attribute.xsl

So your change was already included in the branch.

| also looked the 2.8.5 tag which is the newest metacat release and the change is there as well. So Metacat 2.8.5 should include the change. Is your
metacat the newest version?

#3 - 10/13/2017 11:09 AM - Jing Tao
- Status changed from New to Closed

- Target version set to 2.8.5

Talked with Bryce and close the ticket since the merge already was done in Metacat 2.8.5 release.
